diff --git a/buglist b/buglist
index 31f3c1b..cd7497c 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7270: 
+bug 7271: 
 todo 336:
 wish 1012:
 meh 5:
@@ -12,6 +12,59 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7270: integral comfused by branches
+
+(1) -> integrate(x*(asin(sin(x)))^3,x)
+
+         5
+        x
+   (1)  --
+         5
+                                         Type: Union(Expression(Integer),...)
+(2) -> (%pi/2)*integrate((asin(sin(x)))^3,x=0..%pi)
+
+           5
+        %pi
+   (2)  ----
+          8
+                                                    Type: Expression(Integer)
+(3) -> integrate((asin(sin(x)))^3,x=0..%pi)
+
+           4
+        %pi
+   (3)  ----
+          4
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+(4) -> integrate((asin(sin(x)))^3,x=0..%pi/2)
+
+           4
+        %pi
+   (4)  ----
+         64
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+(5) -> integrate(x^3,x=0..%pi/2)
+
+           4
+        %pi
+   (5)  ----
+         64
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+(6) -> numeric %
+
+   (6)  1.5220170474 062880818
+                                                                  Type: Float
+(7) -> integrate(x^3,x)
+
+        1  4
+   (7)  - x
+        4
+                                          Type: Polynomial(Fraction(Integer))
+(8) -> numeric(%pi^4/4)
+
+   (8)  24.3522727585 00609309
+                                                                  Type: Float
+
+=========================================================================
 bug 7269: hash does not work for Record
 
 (1) -> T:=Record(f1:Integer)
diff --git a/changelog b/changelog
index a67e4f4..077b0af 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141209 tpd src/axiom-website/patches.html 20141209.04.tpd.patch
+20141209 tpd buglist: bug 7270: integral comfused by branches
 20141209 tpd src/axiom-website/patches.html 20141209.03.tpd.patch
 20141209 tpd buglist: bug 7269: hash does not work for Record
 20141209 tpd src/axiom-website/patches.html 20141209.02.tpd.patch
diff --git a/patch b/patch
index 69574cf..6dd726c 100644
--- a/patch
+++ b/patch
@@ -1,29 +1,52 @@
-buglist: bug 7269: hash does not work for Record
-
-(1) -> T:=Record(f1:Integer)
-
-   (1)  Record(f1: Integer)
-                                                                 Type: Domain
-(2) -> hash(t)
-
-   (2)  116
-                                                          Type: SingleInteger
-(3) -> t:=[0]@T
-
-   (3)  [f1= 0]
-                                                    Type: Record(f1: Integer)
-(4) -> hash(t)
-   There are 8 exposed and 1 unexposed library operations named hash 
-      having 1 argument(s) but none was determined to be applicable. 
-      Use HyperDoc Browse, or issue
-                              )display op hash
-      to learn more about the available operations. Perhaps 
-      package-calling the operation or using coercions on the arguments
-      will allow you to apply the operation.
- 
-   Cannot find a definition or applicable library operation named hash 
-      with argument type(s) 
-                             Record(f1: Integer)
-      
-      Perhaps you should use "@" to indicate the required return type, 
-      or "$" to specify which version of the function you need.
+buglist: bug 7270: integral comfused by branches
+
+(1) -> integrate(x*(asin(sin(x)))^3,x)
+
+         5
+        x
+   (1)  --
+         5
+                                         Type: Union(Expression(Integer),...)
+(2) -> (%pi/2)*integrate((asin(sin(x)))^3,x=0..%pi)
+
+           5
+        %pi
+   (2)  ----
+          8
+                                                    Type: Expression(Integer)
+(3) -> integrate((asin(sin(x)))^3,x=0..%pi)
+
+           4
+        %pi
+   (3)  ----
+          4
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+(4) -> integrate((asin(sin(x)))^3,x=0..%pi/2)
+
+           4
+        %pi
+   (4)  ----
+         64
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+(5) -> integrate(x^3,x=0..%pi/2)
+
+           4
+        %pi
+   (5)  ----
+         64
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+(6) -> numeric %
+
+   (6)  1.5220170474 062880818
+                                                                  Type: Float
+(7) -> integrate(x^3,x)
+
+        1  4
+   (7)  - x
+        4
+                                          Type: Polynomial(Fraction(Integer))
+(8) -> numeric(%pi^4/4)
+
+   (8)  24.3522727585 00609309
+                                                                  Type: Float
+
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1473916..1f87926 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4792,6 +4792,8 @@ src/axiom-website/CATS/index.html add Graphics section to CATS<br/>
 buglist: bug 7268: Typechecker gets confused by flow control<br/>
 <a href="patches/20141209.03.tpd.patch">20141209.03.tpd.patch</a>
 buglist: bug 7269: hash does not work for Record<br/>
+<a href="patches/20141209.04.tpd.patch">20141209.04.tpd.patch</a>
+buglist: bug 7270: integral comfused by branches<br/>
  </body>
 </html>
 
